# $Revision: 1.21.2.4 $, $Date: 2005/10/28 07:24:57 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Archive
%define		pnam	Zip
Summary:	Archive::Zip - module for manipulation of ZIP archives
Summary(pl):	Archive::Zip - modu do manipulacji archiwami ZIP
Name:		perl-Archive-Zip
Version:	1.14
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	96b2caf19d5aea3adff02c323247e66a
BuildRequires:	perl-devel >= 1:5.6.1
%if %{with tests}
BuildRequires:	perl-Compress-Zlib >= 1.14
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-112.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Archive::Zip module allows a Perl program to create, manipulate,
read, and write ZIP archive files.

%description -l pl
Modu Archive::Zip udostpnia programom w Perlu moliwo tworzenia,
manipulowania, czytania i zapisywania archiww ZIP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=site
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README TODO docs/*
%attr(755,root,root) %{_bindir}/crc32
%dir %{perl_sitelib}/Archive/Zip
%{perl_sitelib}/Archive/Zip/*.pm
%{perl_sitelib}/Archive/Zip.pm
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Archive-Zip.spec,v $
Revision 1.21.2.4  2005/10/28 07:24:57  hawk
- merged version 1.14 from HEAD
- release 2 for Ra

Revision 1.21.2.3  2003/09/09 11:11:56  ankry
- spaces -> tabs

Revision 1.21.2.2  2003/07/11 12:02:22  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.21.2.1  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.21  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:25:59  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/09/12 22:19:49  radek
- version 1.05 (I'd call it a... ,,special kind'' of improvement. :-/ )

Revision 1.18  2002/09/11 10:47:45  radek
- enabled tests

Revision 1.17  2002/09/10 17:19:58  kloczek
- relaly updated to 1.03.

Revision 1.16  2002/09/08 11:03:23  radek
- version 1.03
- provided informative summary/description
- fixed License field
- added Changes file and examples

Revision 1.15  2002/08/26 19:07:53  ankry
- updated to 1.02; typos

Revision 1.14  2002/07/11 09:46:06  qboosh
- new %%doc

Revision 1.13  2002/07/11 07:56:56  depesz
- new version; should work; STBR

Revision 1.12  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/11 20:58:30  areq
- 1.00, STBR

Revision 1.10  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.9  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.8  2002/02/24 23:29:03  kloczek
- cosmetics.

Revision 1.7  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:05:23  depesz
automatic: Source location unified, Relase Up

Revision 1.5  2002/02/10 15:24:04  depesz
adapterized

Revision 1.4  2002/02/09 12:53:12  depesz
wrong file extension

Revision 1.3  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
